Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Auswahlsatz invertieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Auswahlsatz invertieren (691 mal gelesen)
alterHausmeister
Mitglied
Hausmeister


Sehen Sie sich das Profil von alterHausmeister an!   Senden Sie eine Private Message an alterHausmeister  Schreiben Sie einen Gästebucheintrag für alterHausmeister

Beiträge: 450
Registriert: 02.02.2009

erstellt am: 09. Okt. 2009 09:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo an alle,

ich möchte gern alle Elemente einer Zeichnung wählen, außer (in diesem Fall) LWPOLYLINE mit konstanter Breite von 2.

Erstmal diese Elemente ermitteln:

(setq ss (ssget "_X" '((0 . "lwpolyLINE") (43 . 2))))

... aber wie sage ich nun: ... ALLE - außer dennen ...

Muß ich wirklich 2 Auswahlsätze erzeugen, die in Listen wandeln und diese dann Element für Element voneinander trennen oder liegt das Geheimnis irgendwo in sowas wie (-4 . "<NOT") versteckt? Ich finde aber keinen Hinweis, was zB die -4 aussagen soll oder wie ich "<NOT" zu verstehen habe.

Wo kann ich dazu etwas finden?

Danke!

------------------
lg, der Hausmeister
_______________________________________

Ich bin nicht gestört, ich bin verhaltensoriginell.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 18058
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 09. Okt. 2009 09:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für alterHausmeister 10 Unities + Antwort hilfreich

(ssget "_X" '((-4 . "<not")(8 . "MeinLayer")(-4 . "not>")))

EDIT: Aber warum schreibe ich das eigentlich ?
AutoCAD-Hilfethema SSGET bzw. genauer: "Logical Grouping of Filter Tests"

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

[Diese Nachricht wurde von cadffm am 09. Okt. 2009 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 892
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 09. Okt. 2009 10:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für alterHausmeister 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von alterHausmeister:

Wo kann ich dazu etwas finden?

vlide und Hilfe
Suchbegriff:
    filter lists for selection sets
        logical grouping of filter tests
        relational tests
        ... 

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."   (www.uni-leipzig.de/~rotheh/elefant.htm)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

alterHausmeister
Mitglied
Hausmeister


Sehen Sie sich das Profil von alterHausmeister an!   Senden Sie eine Private Message an alterHausmeister  Schreiben Sie einen Gästebucheintrag für alterHausmeister

Beiträge: 450
Registriert: 02.02.2009

erstellt am: 09. Okt. 2009 10:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

... Danke trotzdem, auch wenn es nicht dem Niveau entsprach. Ich lag also richtig. Mein Fehler bestand darin ...

Falsch:

  (setq ss (ssget "_X" '((-4 . "<NOT")(0 . "lwpolyLINE") (43 . 2) (-4 . "NOT>"))))

Richtig ist:

  (setq ss (ssget "_X" '((-4 . "<NOT")(0 . "lwpolyLINE") (-4 . "NOT>") (-4 . "<NOT") (43 . 2) (-4 . "NOT>"))))

... denn die falsche Variante hatte ich auch schon probiert.


Dank, Üs und aus.


------------------
lg, der Hausmeister
_______________________________________

Ich bin nicht gestört, ich bin verhaltensoriginell.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 18058
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 09. Okt. 2009 11:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für alterHausmeister 10 Unities + Antwort hilfreich

Wenn ich dich fragen würde ob der gc43 ausschließlich in LWpolylines verwendet wird,
auch in zukunft, könntest du mir dann 100% sicher Antworten "Ja" ? Wohl kaum, daher:
(ssget "_X" '((-4 . "<not")(-4 . "<and")(0 . "LWPOLYLINE")(43 . 0.25)(-4 . "and>")(-4 . "not>")))
verwenden  

[EDIT: "*POLYLINE" "LWPOLYLINE" getauscht]

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

[Diese Nachricht wurde von cadffm am 09. Okt. 2009 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Informatiker(in)/Administrator(in) Netzwerk
<...
Anzeige ansehenSystemadministration, Netzwerkadministration
alterHausmeister
Mitglied
Hausmeister


Sehen Sie sich das Profil von alterHausmeister an!   Senden Sie eine Private Message an alterHausmeister  Schreiben Sie einen Gästebucheintrag für alterHausmeister

Beiträge: 450
Registriert: 02.02.2009

erstellt am: 09. Okt. 2009 12:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das ist natürlich richtig. Sicher kann man nie sein. Allerdings habe ich nun mit dem Suchbegriff "draworder" das hier gefunden. Damit könnte ich vielleicht schon was basteln.

Mein Ziel ist eben, ALLE Elemente außer den besagten, nach oben zu holen. Die ausgewählten nach unten (LWPOLYLINE mit Breite 2)funktioniert leider nicht. Merkwürdigerweise funktioniert die Auswahl (LWPOLYLINE mit Breite 2) nach oben wunderbar. Irgendwie ist da noch der Wurm drin ... scheinbar sind schon alle Elemente unten und drängeln sich fürchterlich (vor der Stechuhr am Notausgang).

Trotzdem nochmal Danke, es fördert das Verständnis.


------------------
lg, der Hausmeister
_______________________________________

Ich bin nicht gestört, ich bin verhaltensoriginell.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de